import React, { Component } from 'react';
//import PropTypes from 'prop-types';
import { connect } from 'react-redux';
//import { loadParams } from '../actions/appActions';
import { BrowserRouter as Router, Route } from 'react-router-dom';
import { DashboardPage } from '../pages';
import { Layout } from 'antd';
import { AppHeader } from '../components';
import 'antd/dist/antd.css';

const { Content } = Layout;

class AppRouter extends Component {

  componentWillMount() {
    
  };

  render() {

    return (
      <Router>
        <Layout style={{height:"100%"}}>
          <AppHeader />
          <Content style={{ padding: '0 50px', marginTop: 64 }}>
            <div style={{ background: '#fff', padding: 24, minHeight: '100%' }}>
              <Route exact path='/' component={DashboardPage} />
            </div>
          </Content>
        </Layout>
      </Router>
    )
  }
};

AppRouter.propTypes = {
};

const mapStateToProps = state => ({
});

export default connect(mapStateToProps, { })(AppRouter);
