import React, { Component } from 'react';
import AppRouter from './components/AppRouter';
import { Provider } from 'react-redux';
import store from './store'
import './App.css';

class App extends Component {
  render() {
    return (
      <Provider store={store}>
        <AppRouter />
      </Provider>
    );
  }
}

export default App;
