import ApiService from '../services/ApiService';
import {
    QUESTIONS_LOADED,
    QUESTIONS_LOAD_ERROR,
} from './types';

export const loadQuestions = (userId) => dispatch => {
    const service = new ApiService();
    const scb = (data) => {
        dispatch({
            type: QUESTIONS_LOADED,
            data: data
        });
    }
    const ecb = (error) => {
        dispatch({
            type: QUESTIONS_LOAD_ERROR,
            error: error
        });
    }
    service.getQuestions(userId, scb, ecb);
};
