import {
  QUESTIONS_LOADED,
  QUESTIONS_LOAD_ERROR
} from '../actions/types';

const initialState = {
  questions: []
};

export default function (state = initialState, action) {

  switch (action.type) {
    case QUESTIONS_LOADED: {
      return {
        ...state,
        questions: action.data
      }
    }
    case QUESTIONS_LOAD_ERROR: {
      return {
        ...state,
        questionsLoadError: action.error
      }
    }
    default:
      return state;
  }
};
